Subject: [abfab] Work Item: OID registry

From: Rhys Smith <[email-masked]>
Date: Mon, 13 Jun 2011 16:39:27 +0100

Hi All,

I volunteered to look after the OID registry for ABFAB related shenanigans. I've made an outline doc and submitted as as -00 draft:

http://tools.ietf.org/html/draft-smith-abfab-oidregistry-00

Obviously it's a little sparse at the moment as we don't actually have any usage of it yet. I've included the private OID arc of Luke's in there for reference (but will be deleting that section before the final draft).

The main reason for submitting it as it is to get a bit of discussion going around the two major topics:

1) What structure should the arc have? Should we follow Luke's structure and have mechanisms, nameTypes, and apiExtensions sub-arcs? Do we need more? Or not need those at all? And what values should be going in there - are we ready / is it necessary yet to start shifting some over from the private arcs in use today to the more standards-based aims of the ABFAB arc?

2) What should the process be to maintain this arc once we hand it over to IANA? Do we think we should be quite strict (e.g. the Expert Review / Specification Required models) or a bit less strict (e.g. the First Come FIrst Served model)? Or split the namespace up into a few categories with each maintained separately (i.e a strictly managed globally applicable set of OIDs and set of OIDs dedicated to being free-for-all "site specific"?

Thoughts? Opinions?

It'd be good to come to some kind of consensus for the structure and overall maintenance process model, documented in a -01 draft, in time for the cut-off for IETF81...

Kind Regards,
Rhys.
--
----------------------------------------------------------------------
Dr Rhys Smith                                   e: [email-masked]
Engineering Consultant: Identity & Access Management  (GPG:0xDE2F024C)
Information Services,
Cardiff University,                            t: +44 (0) 29 2087 0126
39-41 Park Place, Cardiff,                     f: +44 (0) 29 2087 4285
CF10 3BB, United Kingdom.                      m: +44 (0) 7968 087 821
----------------------------------------------------------------------